org.apache.tomcat.util.modeler

## Class AttributeInfo

- java.lang.Object
- - org.apache.tomcat.util.modeler.FeatureInfo
  - - org.apache.tomcat.util.modeler.AttributeInfo

All Implemented Interfaces:
  Serializable

    public class AttributeInfo
    extends FeatureInfo

Internal configuration information for an `Attribute` descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Field Summary

Fields
`protected String` `displayName`
`protected String` `getMethod`
`protected boolean` `is`
`protected boolean` `readable`
`protected String` `setMethod`
`protected boolean` `writeable`

### Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo

`description, info, name, type`

### Constructor Summary

Constructors
Constructor and Description
`AttributeInfo()`

### Method Summary

Methods
`String` `getDisplayName()` The display name of this attribute.
`String` `getGetMethod()` The name of the property getter method, if non-standard.
`String` `getSetMethod()` The name of the property setter method, if non-standard.
`boolean` `isIs()` Is this a boolean attribute with an "is" getter?
`boolean` `isReadable()` Is this attribute readable by management applications?
`boolean` `isWriteable()` Is this attribute writable by management applications?
`void` `setDisplayName(String displayName)`
`void` `setGetMethod(String getMethod)`
`void` `setIs(boolean is)`
`void` `setReadable(boolean readable)`
`void` `setSetMethod(String setMethod)`
`void` `setWriteable(boolean writeable)`

### Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo

`getDescription, getName, getType, setDescription, setName, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### displayName

    protected String displayName

#### getMethod

    protected String getMethod

#### setMethod

    protected String setMethod

#### readable

    protected boolean readable

#### writeable

    protected boolean writeable

#### is

    protected boolean is

### Constructor Detail

#### AttributeInfo

    public AttributeInfo()

### Method Detail

#### getDisplayName

    public String getDisplayName()

The display name of this attribute.

#### setDisplayName

    public void setDisplayName(String displayName)

#### getGetMethod

    public String getGetMethod()

The name of the property getter method, if non-standard.

#### setGetMethod

    public void setGetMethod(String getMethod)

#### isIs

    public boolean isIs()

Is this a boolean attribute with an "is" getter?

#### setIs

    public void setIs(boolean is)

#### isReadable

    public boolean isReadable()

Is this attribute readable by management applications?

#### setReadable

    public void setReadable(boolean readable)

#### getSetMethod

    public String getSetMethod()

The name of the property setter method, if non-standard.

#### setSetMethod

    public void setSetMethod(String setMethod)

#### isWriteable

    public boolean isWriteable()

Is this attribute writable by management applications?

#### setWriteable

    public void setWriteable(boolean writeable)